﻿Imports System.Data.SqlClient

Module Module1

    Sub Main()
        '接続文字列
        Dim constr As String = "Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30"

        'SqlConnectionオブジェクトを生成
        Dim con As New SqlConnection(constr)

        'Booksテーブルのデータを取得するSQL文を作成
        Dim sql As String = "SELECT * FROM Books;"

        'DataAdapterオブジェクトを生成
        Dim da As New SqlDataAdapter(sql, con)

        'DataTableオブジェクトを生成
        Dim dt As New DataTable()

        'DataTableとデータベースに同期させる
        da.Fill(dt)

        Console.WriteLine("次の一覧から検索する書籍IDを選んでください。")

        '一覧を表示する
        For Each dr As DataRow In dt.Rows
            Console.Write("書籍ID：{0}　", dr("Id"))
            Console.WriteLine("書籍名：{0}　", dr("BookName"))
        Next
        Console.WriteLine()

        '検索するデータを入力する
        Console.Write("検索するID：")
        Dim id As String = Console.ReadLine()

        'フィルタリング
        Dim drlist As DataRow() = dt.Select("Id = " + id)

        '検索結果を表示
        Console.WriteLine("価格：{0:#,0}円", drlist(0)("Price"))
        Console.ReadLine()
    End Sub

End Module
